Bug 564509 - yum displays error messages with missing text: PYCURL ERROR n - ""
yum displays error messages with missing text: PYCURL ERROR n - ""
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: python-urlgrabber (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: James Antill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-12 17:29 EST by Richard W.M. Jones
Modified: 2014-01-21 18:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 12:12:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-02-12 17:29:57 EST
Description of problem:

yum in Rawhide displays empty error messages, such as:

  <URL>: [Errno 14] PYCURL ERROR 6 - ""

(Also magic code 7 has been seen -- it seems to indicate a
proxy error).

Version-Release number of selected component (if applicable):


python-pycurl-7.19.0-4.fc12.x86_64

How reproducible:

Always (when there is an error to display).

Steps to Reproduce:
1. yum clean all
2. export http_proxy=http://nosuchserver.example.com:3128/
3. yum update
  
Actual results:

http://download.fedoraproject.org/pub/fedora/linux/releases/12/Everything/x86_64/os/repodata/repomd.xml: [Errno 14] PYCURL ERROR 5 - ""

Expected results:

Some sort of explanation, eg. "Proxy error", for errno 14 & pycurl code 5.

Additional info:
Comment 1 Richard W.M. Jones 2010-02-12 17:30:35 EST
Sorry, yum version is missing there.  It is:

yum-3.2.26-2.fc13.noarch
Comment 2 seth vidal 2010-02-12 17:36:24 EST
I'll reassign this to ulgrabber - but right now pycurl offers no way to translate those error numbers to error codes.

so it needs to get fixed there.
Comment 3 Bug Zapper 2010-03-15 10:32:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Akira YOSHIYAMA 2011-01-08 05:10:32 EST
I got the same problem on RHEL6 and solved it.
Check DNS configuration. I had no entry in /etc/resolv.conf.

Note You need to log in before you can comment on or make changes to this bug.